@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

body {
  font-family: sans-serif;
  box-sizing: border-box;
  margin: 0 auto;
  padding: 0;
  max-width: 135rem;
  font-family: "Open Sans", sans-serif;
}

:root {
  font-size: 14px;
}

p {
  font-size: 1.5rem;
}

a {
  text-decoration: none;
  color: inherit;
}

.navbar {
  display: flex;
  justify-content: space-between;
  background-color: #19313a;
  padding: 0.5rem 1.5rem;
}

.horizontal-list {
  display: flex;
  gap: 1.5rem;
  align-items: center;
  justify-content: center;
  padding: 0;
}

.main-heading {
  text-align: center;
  color: #19313a;
  font-size: 3.5rem;
  margin: 0.75rem;
  font-family: "Poppins", sans-serif;
}

.contact-text {
  color: white;
  font-size: 1.25rem;
  margin: 0;
}

.image-container {
  position: relative;
}

.image {
  width: 100%;
  height: 50rem;
  object-fit: cover;
}

.image-heading {
  color: black;
  position: absolute;
  bottom: 2rem;
  left: 0;
  right: 0;
  text-align: center;
  font-size: 3rem;
  color: white;
}

.section-heading {
  font-family: "Poppins", sans-serif;
  font-weight: bold;
  font-size: 2rem;
  padding: 0.5rem 1rem;
  width: fit-content;
  color: #f8f8f8;
  background-color: #19313a;
  text-decoration: none;
}

.flex-section {
  display: flex;
  align-items: flex-start;
  gap: 2rem;
  width: 90%;
  margin: 2rem auto;
}

.text-section {
  padding: 0.75rem;
}

.text-container {
  padding: 0.75rem;
  border: thick double black;
  margin: 2.25rem 0;
}

.footer-container {
  position: relative;
  margin: 0;
}

.footer {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  gap: 1rem;
  background-color: #19313a;
  width: 75%;
  padding: 4rem;
  display: flex;
  align-items: flex-start;
  color: #f8f8f8;
}

.footer > div > h1 {
  font-family: "Poppins", sans-serif;
  font-size: 4rem;
  margin: 0;
}

.footer > div > h2 {
  font-size: 2rem;
  margin: 0;
}

.footer-copyright {
  position: absolute;
  bottom: 1rem;
  margin: 0 1rem;
  color: #f8f8f8;
}

ul > li {
  list-style: none;
}

.icon {
  color: #c49f81;
}

.align-left {
  justify-content: left;
}

@media only screen and (max-width: 1240px) {
  .flex-section {
    flex-direction: column;
    margin-bottom: 5rem;
  }

  .flex-section > img {
    height: 35rem;
  }

  #engineering {
    flex-direction: column-reverse;
  }
}
